## com.thingmagic
Enum SerialReader.ReaderStatisticsFlag

    java.lang.Object
      java.lang.Enum<SerialReader.ReaderStatisticsFlag>
          com.thingmagic.SerialReader.ReaderStatisticsFlag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SerialReader.ReaderStatisticsFlag>

Enclosing class:
  SerialReader

    public static enum SerialReader.ReaderStatisticsFlag

extends java.lang.Enum<SerialReader.ReaderStatisticsFlag>

The statistics available for retrieval by cmdGetReaderStatistics.

Enum Constant Summary
`NOISE_FLOOR` Detected noise floor with transmitter off.
`NOISE_FLOOR_TX_ON` Detected noise floor with transmitter on.
`RF_ON_TIME` Total time the port has been transmitting, in milliseconds.

Method Summary
`static SerialReader.ReaderStatisticsFlag` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerialReader.ReaderStatisticsFlag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RF_ON_TIME

    public static final SerialReader.ReaderStatisticsFlag RF_ON_TIME

  Total time the port has been transmitting, in milliseconds. Resettable

### NOISE_FLOOR

    public static final SerialReader.ReaderStatisticsFlag NOISE_FLOOR

  Detected noise floor with transmitter off. Recomputed when requested, not resettable.

### NOISE_FLOOR_TX_ON

    public static final SerialReader.ReaderStatisticsFlag NOISE_FLOOR_TX_ON

  Detected noise floor with transmitter on. Recomputed when requested, not resettable.

Method Detail

### values

    public static SerialReader.ReaderStatisticsFlag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerialReader.ReaderStatisticsFlag c : SerialReader.ReaderStatisticsFlag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerialReader.ReaderStatisticsFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null